Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

# Class ClearingSystemMemberIdentification2

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_12.ClearingSystemMemberIdentification2

public class ClearingSystemMemberIdentification2 extends Object

Java class for ClearingSystemMemberIdentification2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ClearingSystemMemberIdentification2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ClrSysId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ClearingSystemIdentification2Choice" minOccurs="0"/>
             <element name="MmbId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ClearingSystemIdentification2Choice`
`clrSysId`
`protected String`
`mmbId`

## Constructor Summary

Constructors
Constructor
Description
`ClearingSystemMemberIdentification2()`

## Method Summary

Modifier and Type
Method
Description
`ClearingSystemIdentification2Choice`
`getClrSysId()`
Gets the value of the clrSysId property.
`String`
`getMmbId()`
Gets the value of the mmbId property.
`void`
`setClrSysId(ClearingSystemIdentification2Choice value)`
Sets the value of the clrSysId property.
`void`
`setMmbId(String value)`
Sets the value of the mmbId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### clrSysId

protected ClearingSystemIdentification2Choice clrSysId

### mmbId

protected String mmbId

## Constructor Details

### ClearingSystemMemberIdentification2

public ClearingSystemMemberIdentification2()

## Method Details

### getClrSysId

public ClearingSystemIdentification2Choice getClrSysId()
Gets the value of the clrSysId property.

Returns:
  possible object is `ClearingSystemIdentification2Choice`

### setClrSysId

public void setClrSysId(ClearingSystemIdentification2Choice value)
Sets the value of the clrSysId property.

Parameters:
  `value` - allowed object is `ClearingSystemIdentification2Choice`

### getMmbId

public String getMmbId()
Gets the value of the mmbId property.

Returns:
  possible object is `String`

### setMmbId

public void setMmbId(String value)
Sets the value of the mmbId property.

Parameters:
  `value` - allowed object is `String`